package net.afyre.haha.demo.rcp.handlers;

import java.util.List;

import org.eclipse.core.commands.AbstractHandler;
import org.eclipse.core.commands.ExecutionEvent;
import org.eclipse.core.commands.ExecutionException;
import org.eclipse.jface.preference.IPreferenceNode;
import org.eclipse.jface.preference.PreferenceManager;
import org.eclipse.ui.handlers.HandlerUtil;

/**
 * Please do *not* ask.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 *
 */
public class HackHandler extends AbstractHandler {

  /** {@inheritDoc} */
  @Override
  public Object execute(final ExecutionEvent event) throws ExecutionException {
    final PreferenceManager pm = HandlerUtil.getActiveWorkbenchWindowChecked(event).getWorkbench().getPreferenceManager();
    List<IPreferenceNode> l = pm.getElements(PreferenceManager.PRE_ORDER);

    for(IPreferenceNode node : l){
        System.out.println("Label:" + node.getLabelText() + " ID:" + node.getId());
    }
    return null;
  }

}
