package net.afyre.haha.demo.solver.smt.sexpr;

/**
 * Interface of S-Expressions.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface SExpr {
  /**
   * Inspect this expression with a switch object.
   * @param <T> Type of values returned by the switch.
   * @param sw Switch.
   * @return Inspection result.
   */
  <T> T doSwitch(SExprSwitch<T> sw);
}
