package net.afyre.haha.demo.solver.expr;

/**
 * Interface of expressions (term,s types and formulae).
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface Expression {
  /**
   * Use a visitor to inspect this object.
   * @param <Result> Type of objects returned by the visitor.
   * @param v Visitor object.
   * @return Visit result.
   */
  <Result> Result accept(ExpressionSwitch<? extends Result> v);
}
