package net.afyre.haha.demo.solver.expr.types.impl;

import net.afyre.haha.demo.solver.expr.types.NonValueTypeSwitch;

/**
 * Logical propositions.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public final class Prop extends AbstractNonValueType {
  /** {@inheritDoc} */
  @Override
  public<Result> Result accept(final NonValueTypeSwitch<? extends Result> v) {
    return v.caseProp();
  }
}
