package net.afyre.haha.demo.solver.expr.types.impl;

import net.afyre.haha.demo.solver.expr.types.AtomicTypeSwitch;

/**
 * Rational numbers.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public final class Rational extends AbstractAtomicType {
  /** {@inheritDoc} */
  @Override
  public<Result> Result accept(final AtomicTypeSwitch<? extends Result> v) {
    return v.caseRational();
  }

}
