package net.afyre.haha.demo.vcgen;

/**
 * Interface of objects used to collect and 
 * process verification conditions.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface VCConsumer {
  /**
   * Process a single verification condition.
   * @param vc The condition.
   */
  void processVerificationCondition(VerificationCondition vc);
}
