package net.afyre.haha.demo.rcp;

import net.afyre.haha.demo.ui.vcview.VerificationConditionsView;

import org.eclipse.ui.IFolderLayout;
import org.eclipse.ui.IPageLayout;
import org.eclipse.ui.IPerspectiveFactory;
import org.eclipse.ui.console.IConsoleConstants;

public class Perspective implements IPerspectiveFactory {

  public void createInitialLayout(final IPageLayout layout) {
    final String editorArea = layout.getEditorArea();
    layout.setEditorAreaVisible(true);
    final IFolderLayout bottom = layout.createFolder(
        "bottom", IPageLayout.BOTTOM, .7f, editorArea); 

    bottom.addView(VerificationConditionsView.ID);
    bottom.addView(IConsoleConstants.ID_CONSOLE_VIEW);
    //layout.setFixed(true);
  }
}
