package net.afyre.haha.demo.solver.expr;

import net.afyre.haha.demo.solver.expr.formulae.FormulaFactory;
import net.afyre.haha.demo.solver.expr.terms.TermFactory;
import net.afyre.haha.demo.solver.expr.types.TypeFactory;

/**
 * Interface of objects used to create expressions.
 * 
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface ExpressionFactory 
    extends TermFactory, FormulaFactory, TypeFactory {
}
