package net.afyre.haha.demo.solver.expr.types;

import net.afyre.haha.demo.solver.expr.Expression;

/**
 * Interface of types.
 * @author Tadeusz Sznuk <tsznuk@mimuw.edu.pl>
 */
public interface Type extends Expression {
  /**
   * Use a visitor to inspect this object.
   * @param <Result> Type of objects returned by the visitor.
   * @param v Visitor object.
   * @return Visit result.
   */
  <Result> Result accept(TypeSwitch<? extends Result> v);
}
